# Group Services Endpoints from `group-services` routes module. ## Lists group services - [GET /v1/group-services](https://timify-dev-api.redocly.app/apis/openapi/group-services/getv1groupservices.md): These are services like courses, workshops or events that are offered for more than 1 attendee. ## Create group service - [POST /v1/group-services](https://timify-dev-api.redocly.app/apis/openapi/group-services/postv1groupservices.md): Create a new group service (course, workshop, or event). Group services support multiple participants and recurring schedules. ## List group service categories - [GET /v1/group-services/categories](https://timify-dev-api.redocly.app/apis/openapi/group-services/getv1groupservicescategories.md): Returns all group service (course/event) categories for the authenticated company. ## Create group service category - [POST /v1/group-services/categories](https://timify-dev-api.redocly.app/apis/openapi/group-services/postv1groupservicescategories.md): Create a new category to organize group services. ## Delete group service category - [DELETE /v1/group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/deletev1groupservicescategoriesbycategoryid.md): The URL parameter "categoryId" can be used in two ways: - use the unique ID of the group service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this group service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the group service with the Developer API endpoints POST /group-services/caetgories and PATCH /group-service/categories/:categoryId ## Fetch service group category - [GET /v1/group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/getv1groupservicescategoriesbycategoryid.md): The URL parameter "categoryId" can be used in two ways: - use the unique ID of the group service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this group service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the service category with the Developer API endpoints POST /services/categories and PATCH /services/categories/:categoryId ## Update group service category - [PATCH /v1/group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/patchv1groupservicescategoriesbycategoryid.md): Update an existing group service category. Supports externalId lookup via ?external=1. ## Delete group service - [DELETE /v1/group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/deletev1groupservicesbygroupserviceid.md): The URL parameter "serviceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("serviceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH /service/:serviceId ## Fetch group service - [GET /v1/group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/getv1groupservicesbygroupserviceid.md): The URL parameter "groupServiceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("groupServiceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH /services/:groupServiceId ## Update group service - [PATCH /v1/group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/group-services/patchv1groupservicesbygroupserviceid.md): The URL parameter "groupServiceId" can be used in two ways: - use the unique ID of the group service assigned by TIMIFY ("groupServiceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "groupServiceId" assigned by TIMIFY You can add "externalId" to the group service with the Developer API